bos_addhost(8)

NAME
bos addhost - Adds a database server machine to the CellServDB file

SYNOPSIS
bos addhost << -server <machine name >>> << -host <host name+ >>>
    << [-cell <cell name] >>> [-noauth] [-localauth] [-help]

bos addh << -s <machine name >>> << -ho <host name+ >>>
    << [-c <cell name] >>> [-n] [-l] [-he]

DESCRIPTION
The bos addhost command adds an entry for each database server machine specified with the -host argument to the /usr/afs/etc/CellServDB file on the machine named by the -server argument.

CAUTIONS
After executing this command (and waiting for the Update Server to propagate the changes, if it is used), restart the database server processes on all database server machines to force election of a quorum that includes the new set of machines listed in the /usr/afs/etc/CellServDB file. The IBM AFS Quick Beginnings explains in more detail how to add and remove database server machines.

It is best to maintain a one-to-one mapping between hostnames and IP addresses on a multihomed database server machine (this is actually the conventional configuration for any AFS machine). The BOS Server uses the gethostbyname() routine to obtain the IP address associated with the hostname specified by the -host argument. If there is more than one address, the BOS Server records in the CellServDB entry the one that appears first in the list of addresses returned by the routine. The routine possibly returns addresses in a different order on different machines, which can create inconsistency.

OPTIONS

-server <machine name>
    Identifies the server machine on which to change the /usr/afs/etc/CellServDB file. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the bos(8) manpage.

    In cells that use the Update Server to distribute the contents of the /usr/afs/etc directory, it is conventional to specify only the system control machine as a value for the -server argument. Otherwise, repeat the command for each file server machine. For further discussion, see the bos(8) manpage.

-host <host name>+
    Specifies the fully-qualified host name (such as db1.abc.com) of each database server machine to register in the CellServDB file.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the bos(8) manpage.

-noauth
    Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the bos(8) manpage.

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the bos(8) manpage.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command adds the database server machines db2.abc.com and db3.abc.com to the /usr/afs/etc/CellServDB file on the machine fs1.abc.com (the system control machine).

   % bos addhost -server fs1.abc.com -host db2.abc.com db3.abc.com

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

SEE ALSO
the CellServDB(5) manpage, the KeyFile(5) manpage, the UserList(5) manpage, the bos(8) manpage, the bos_listhosts(8) manpage, the bos_removehost(8) manpage

IBM AFS Quick Beginnings

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.